var T3BrowseLinks = {
	elements: {},
	addElements: function(elements) {
		T3BrowseLinks.elements = $H(T3BrowseLinks.elements).merge(elements);
	},
	focusOpenerAndClose: function(close) {
		if (close) {
			parent.window.opener.focus();
			parent.close();
		}
	}
}

T3BrowseLinks.File = {
	insertElement: function(index, close) {
		var result = false;
		if (typeof T3BrowseLinks.elements[index] != 'undefined') {
			var element = T3BrowseLinks.elements[index];
			result = insertElement(
				'', element.md5, element.type,
				element.fileName, element.filePath, element.fileExt,
				element.fileIcon, '', close
			);
		}
		return result;
	}
};

T3BrowseLinks.Selector = {
	element: 'typo3-fileList',
	toggle: function(element) {
		var items = this.getItems(element);
		if (items.length) {
			items.each(function(item) {
				item.checked = (item.checked ? null : 'checked');
			});
		}
	},
	handle: function(element) {
		var items = this.getItems(element);
		if (items.length) {
			items.each(function(item) {
				if (item.checked && item.name) {
					T3BrowseLinks.File.insertElement(item.name);
				}
			});
			T3BrowseLinks.focusOpenerAndClose(true);
		}
	},
	getParentElement: function(element) {
		element = $(element);
		return (element ? element : $(this.element));
	},
	getItems: function(element) {
		element = this.getParentElement(element);
		return Element.getElementsByClassName(element, 'typo3-bulk-item');
	}
};